import * as api from "@tzkt/sdk-api";
import { TZKT_API, CONTRACT_ADDRESS } from './constant'

api.defaults.baseUrl = TZKT_API

async function getInfos() {

    const storageBlob = await api.contractsGetStorage(CONTRACT_ADDRESS)
    const storage = JSON.parse(Buffer.from(await storageBlob.arrayBuffer()).toString())

    const infos = await Promise.all(
        Object.entries(storage.shares)
            .map(async (entry) => {
                return {
                    address: entry[0],
                    share: parseInt(entry[1]),
                    balance: await api.accountsGetBalance(entry[0])
                }
            })
    )
    const total = parseInt(storage.shares_total)

    return { infos, total }
}

export {
    getInfos,
}